From: Markus Koschany <apo@debian.org>
Date: Mon, 4 Oct 2021 23:54:35 +0200
Subject: no MacOSX

---
 .../FurnitureLibraryEditor.java                    | 167 +--------------------
 1 file changed, 1 insertion(+), 166 deletions(-)

diff --git a/src/com/eteks/furniturelibraryeditor/FurnitureLibraryEditor.java b/src/com/eteks/furniturelibraryeditor/FurnitureLibraryEditor.java
index 7d86a17..a375cc9 100644
--- a/src/com/eteks/furniturelibraryeditor/FurnitureLibraryEditor.java
+++ b/src/com/eteks/furniturelibraryeditor/FurnitureLibraryEditor.java
@@ -57,9 +57,6 @@ import javax.swing.SwingUtilities;
 import javax.swing.UIManager;
 import javax.swing.filechooser.FileFilter;
 
-import com.apple.eawt.Application;
-import com.apple.eawt.ApplicationAdapter;
-import com.apple.eawt.ApplicationEvent;
 import com.eteks.furniturelibraryeditor.io.FileFurnitureLibraryUserPreferences;
 import com.eteks.furniturelibraryeditor.io.FurnitureLibraryFileRecorder;
 import com.eteks.furniturelibraryeditor.model.FurnitureLibrary;
@@ -313,7 +310,6 @@ public class FurnitureLibraryEditor {
     }
 
     if (OperatingSystem.isMacOSX()) {
-      MacOSXConfiguration.bindToApplicationMenu(editorController);
     }
 
     if (furnitureLibraryName != null) {
@@ -391,166 +387,5 @@ public class FurnitureLibraryEditor {
     frame.setTitle(title);
   }
 
-  /**
-   * Mac OS X configuration. The methods use in this class are invoked in a separated class
-   * because they exist only under Mac OS X.
-   */
-  private static class MacOSXConfiguration {
-    /**
-     * Binds <code>controller</code> to Mac OS X application menu.
-     */
-    public static void bindToApplicationMenu(final EditorController controller) {
-      Application macosxApplication = Application.getApplication();
-      boolean applicationListenerSupported = false;
-      try {
-        // Add a listener to Mac OS X application that will call
-        // controller methods of the active frame
-        // Call macosxApplication.addApplicationListener(new MacOSXApplicationListener(homeApplication, defaultController, defaultFrame));
-        macosxApplication.getClass().getMethod("addApplicationListener", Class.forName("com.apple.eawt.ApplicationListener")).invoke(macosxApplication,
-            MacOSXApplicationListener.class.getConstructor(EditorController.class).newInstance(controller));
-        macosxApplication.setEnabledAboutMenu(true);
-        macosxApplication.setEnabledPreferencesMenu(true);
-        applicationListenerSupported = true;
-      } catch (NoSuchMethodException ex) {
-      } catch (IllegalAccessException ex) {
-      } catch (InvocationTargetException ex) {
-      } catch (ClassNotFoundException ex) {
-      } catch (InstantiationException ex) {
-      }
-
-      if (!applicationListenerSupported) {
-        // Probably running under Java 9 where previous methods were removed
-        if (OperatingSystem.isJavaVersionGreaterOrEqual("1.9")) {
-          try {
-            // Instantiate Java 9 handlers and set them on desktop by reflection
-            Class<?> desktopClass = Class.forName("java.awt.Desktop");
-            Object desktopInstance = desktopClass.getMethod("getDesktop").invoke(null);
-
-            Object quitHandler = new QuitHandler() {
-                public void handleQuitRequestWith(QuitEvent ev, QuitResponse answer) {
-                  MacOSXConfiguration.handleQuit(controller);
-                  answer.cancelQuit();
-                }
-              };
-            desktopClass.getMethod("setQuitHandler", QuitHandler.class).invoke(desktopInstance, quitHandler);
-
-            Object aboutHandler = new AboutHandler() {
-                public void handleAbout(AboutEvent ev) {
-                  MacOSXConfiguration.handleAbout(controller);
-                }
-              };
-            desktopClass.getMethod("setAboutHandler", AboutHandler.class).invoke(desktopInstance, aboutHandler);
-
-            Object preferencesHandler = new PreferencesHandler() {
-                public void handlePreferences(PreferencesEvent ev) {
-                  MacOSXConfiguration.handlePreferences(controller);
-                }
-              };
-            desktopClass.getMethod("setPreferencesHandler", PreferencesHandler.class).invoke(desktopInstance, preferencesHandler);
-
-            Object openFilesHandler = new OpenFilesHandler() {
-                public void openFiles(OpenFilesEvent ev) {
-                  for (java.io.File file : ev.getFiles()) {
-                    MacOSXConfiguration.handleOpenFile(controller, file.getAbsolutePath());
-                  }
-                }
-              };
-            desktopClass.getMethod("setOpenFileHandler", OpenFilesHandler.class).invoke(desktopInstance, openFilesHandler);
-
-            // Call Desktop.getDesktop().setQuitStrategy(QuitStrategy.CLOSE_ALL_WINDOWS) to prevent default call to System#exit
-            desktopClass.getMethod("setQuitStrategy", QuitStrategy.class).invoke(desktopInstance, QuitStrategy.CLOSE_ALL_WINDOWS);
-          } catch (NoSuchMethodException ex) {
-          } catch (IllegalAccessException ex) {
-          } catch (InvocationTargetException ex) {
-          } catch (ClassNotFoundException ex) {
-          }
-        }
-      }
-
-      // Set application icon if program wasn't launch from bundle
-      if (!"true".equalsIgnoreCase(System.getProperty("furniturelibraryeditor.bundle", "false"))) {
-        try {
-          Image icon = ImageIO.read(MacOSXConfiguration.class.getResource("swing/resources/aboutIcon.png"));
-          macosxApplication.setDockIconImage(icon);
-        } catch (NoSuchMethodError ex) {
-          // Ignore icon change if setDockIconImage isn't available
-        } catch (IOException ex) {
-        }
-      }
-    }
-
-    /**
-     * Handles quit action.
-     */
-    private static void handleQuit(final EditorController controller) {
-      controller.exit();
-    }
-
-    /**
-     * Handles how about pane is displayed.
-     */
-    protected static void handleAbout(final EditorController controller) {
-      controller.about();
-    }
-
-    /**
-     * Handles how preferences pane is displayed.
-     */
-    private static void handlePreferences(final EditorController controller) {
-      controller.editPreferences();
-    }
-
-    /**
-     * Handles the opening of a document.
-     */
-    private static void handleOpenFile(EditorController controller, String fileName) {
-      controller.open(fileName);
-    }
-
-    /**
-     * Handles application when it's reopened.
-     */
-    private static void handleReOpenApplication(EditorController controller) {
-      SwingUtilities.getWindowAncestor((JComponent)controller.getView()).toFront();
-    }
-  }
-
-  /**
-   * Listener for Mac OS X application events.
-   * Declared in a separated static class and instantiated by reflection to be able to run Sweet Home 3D with Java 10.
-   */
-  private static class MacOSXApplicationListener extends ApplicationAdapter {
-    private final EditorController controller;
-
-    public MacOSXApplicationListener(EditorController controller) {
-      this.controller = controller;
-    }
-
-    @Override
-    public void handleQuit(ApplicationEvent ev) {
-      MacOSXConfiguration.handleQuit(this.controller);
-    }
-
-    @Override
-    public void handleAbout(ApplicationEvent ev) {
-      MacOSXConfiguration.handleAbout(this.controller);
-      ev.setHandled(true);
-    }
-
-    @Override
-    public void handlePreferences(ApplicationEvent ev) {
-      MacOSXConfiguration.handlePreferences(this.controller);
-      ev.setHandled(true);
-    }
-
-    @Override
-    public void handleOpenFile(ApplicationEvent ev) {
-      MacOSXConfiguration.handleOpenFile(this.controller, ev.getFilename());
-    }
-
-    @Override
-    public void handleReOpenApplication(ApplicationEvent ev) {
-      MacOSXConfiguration.handleReOpenApplication(this.controller);
-    }
-  }
 }
+
